# ESPHome

```{eval-rst}
.. automodule:: serialx.platforms.serial_esphome
   :no-members:
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_esphome.ESPHomeSerial
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_esphome.ESPHomeSerialTransport
   :members:
   :member-order: bysource
```
